Description

When the GDAL based Interpolate function is run, the GDAL command generated does not match the parameters chosen in the tool

dialog:

The attached screenshot shows the menu based Raster > Analysis > Grid (Interpolation)... dialog configuration. This is using the IDW

interpolator with output in GeoTIFF, however the command line generated is as follows:

gdal_grid -l BathyODN_BNG -a

invdist:power=2.0:smothing=0.0:radius1=0.0:radius2=0.0:angle=0.0:max_points=0:min_points=0:nodata=0.0 -of GMT

C:/Local/Advanced_QGIS/Exercises/Data/Vector/Bathy/BathyODN_BNG.shp C:/Local/BathyInterp_InvDist.tif

Note that the smoothing parameter is misspelled, and also the output format (-of) is set to 'GMT', not 'GTiff' as requested. The latter

generates an error when the tool is run.

When the same command is executed through Processing GDAL/OGR > [GDAL] Analysis > Grid (Inverse distance to a power), the

same smothing -> smoothing typo is present, and the GDAL '-of' parameter is omitted entirely, meaning that a GeoTIFF is always

generated regardless of the format and extension chosen in the dialog.

Associated revisions

Revision 6c398cab - 2018-02-01 06:57 PM - Alexander Bruy

[processing] fix typo in the parameter name (refs #18013)

Revision b8e69075 - 2018-02-01 07:01 PM - Alexander Bruy

[processing] pass '-of' parameter to gdal_grid algorithms (fix #18013)

History

#1 - 2018-01-31 12:49 PM - Giovanni Manghi

- Status changed from Open to Feedback

Try the equivalent tool in the Processing toolbox, "gdaltools" is not mantained anymore and has been dropped in QGIS3.

#2 - 2018-01-31 01:37 PM - Andy Harfoot
- Status changed from Feedback to Open

See the last paragraph in the original description - a similar set of errors arise in the equivalent Processing tool.

#3 - 2018-01-31 01:38 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#4 - 2018-02-01 07:02 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b8e69075a680ef9eed5f2e297680f982d7f0864b.

#5 - 2018-02-21 09:21 PM - Giovanni Manghi

- Resolution set to fixed/implemented
